﻿using Raylib_cs;
using Smoll;
using Smoll.Ex1;

Layer layer = new Layer();

var entity = new Entity(layer);
entity.Attach(new Transform2DComponent(128, 128, 0, 64, 32));
entity.Attach(new RectangleGizmoComponent(128, 64, Color.Blue));
entity.Attach(new ExampleInputComponent(100f, 0.25f));

var entity2 = new Entity(entity);
entity2.Attach(new Transform2DComponent(128, 128, 0, 32, 32));
entity2.Attach(new RectangleGizmoComponent(64, 64, Color.Red));

Engine engine = new Engine();
engine.layers.Add(layer);

Raylib.InitWindow(800, 600, "Smoll");
while(!Raylib.WindowShouldClose()) {
    engine.Update();
    Raylib.BeginDrawing();
    Raylib.ClearBackground(Color.White);
    engine.Draw();
    Raylib.DrawFPS(0,0);
    Raylib.EndDrawing();
}
Raylib.CloseWindow();