using System.Collections.Generic;


namespace Smoll {
    public class Engine {
        public Engine() {
            layers = new List<Layer>();
        }

        public List<Layer> layers;

        public void Update() {
            foreach (var layer in layers)
            {
                layer.Update();
            }
        }

        public void Draw() {
            foreach (var layer in layers)
            {
                layer.Draw();
            }
        }
    }
}